Debian Bug report logs - #565279
x11-xserver-utils: xmodmap fails to remap Lock to Control_L

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: "John C. Houck" <houck@space.mit.edu>

Date: Thu, 14 Jan 2010 14:09:01 UTC

Severity: normal

Found in version xorg-server/2:1.7.4-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, houck@space.mit.edu, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#565279; Package x11-xserver-utils. (Thu, 14 Jan 2010 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "John C. Houck" <houck@space.mit.edu>:
New Bug report received and forwarded. Copy sent to houck@space.mit.edu, Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Jan 2010 14:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "John C. Houck" <houck@space.mit.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: x11-xserver-utils: xmodmap fails to remap Lock to Control_L
Date: Thu, 14 Jan 2010 09:05:10 -0500
Package: x11-xserver-utils
Version: 7.5+1
Severity: normal


For a number of years, I have used the example from the xmodmap
man page to swap caps_lock and control_l.  This feature broke
with the most recent update to testing/unstable.  This seems
very similar to Bug#564327 except that I haven't found
an effective workaround.

Here's the behavior I'm seeing:

   > setxkbmap us
   > xmodmap -pm
   xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):

   shift       Shift_L (0x32),  Shift_R (0x3e)
   lock        Caps_Lock (0x42)
   control     Control_L (0x25),  Control_R (0x69)
   mod1        Alt_L (0x40),  Alt_R (0x6c),  Meta_L (0xcd)
   mod2        Num_Lock (0x4d)
   mod3
   mod4        Super_L (0x85),  Super_R (0x86),  Super_L (0xce),  Hyper_L (0xcf)
   mod5        ISO_Level3_Shift (0x5c),  Mode_switch (0xcb)
   
   > cat .xmodmap
   remove Lock = Caps_Lock
   remove Control = Control_L
   keysym Control_L = Control_L
   keysym Caps_Lock = Control_L
   add Lock = Control_L
   add Control = Control_L
   > xmodmap .xmodmap
   X Error of failed request:  BadValue (integer parameter out of range for operation)
     Major opcode of failed request:  118 (X_SetModifierMapping)
     Value in failed request:  0x17
     Serial number of failed request:  15
     Current serial number in output stream:  15
   > xmodmap -pm
   xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):
   
   shift       Shift_L (0x32),  Shift_R (0x3e)
   lock        Control_L (0x42)
   control     Control_L (0x25),  Control_R (0x69)
   mod1        Alt_L (0x40),  Alt_R (0x6c),  Meta_L (0xcd)
   mod2        Num_Lock (0x4d)
   mod3
   mod4        Super_L (0x85),  Super_R (0x86),  Super_L (0xce),  Hyper_L (0xcf)
   mod5        ISO_Level3_Shift (0x5c),  Mode_switch (0xcb)
   
At this point, the caps lock key still behaves as a caps lock
key and not as a ctrl key.

Here is a copy of /var/log/Xorg.0.log:

X.Org X Server 1.7.4
Release Date: 2010-01-08
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.26-2-amd64 i686 Debian
Current Operating System: Linux antaeus 2.6.30-2-686 #1 SMP Fri Dec 4 00:53:20 UTC 2009 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.30-2-686 root=UUID=772d54c3-a2ef-4116-94eb-85ed0dc0751a ro quiet
Build Date: 12 January 2010  11:54:45AM
xorg-server 2:1.7.4-1 (buildd@puccini.debian.org) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jan 13 08:49:58 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(**) ModulePath set to "/usr/lib/xorg/modules"
(**) Extension "Composite" is enabled
(**) Extension "RENDER" is enabled
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Mouse0
(WW) Disabling Keyboard0
(II) Loader magic: 0x81e77a0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(--) using VT number 7

(--) PCI:*(0:1:0:0) 1002:7145:17aa:2006 ATI Technologies Inc Radeon Mobility X1400 rev 0, Mem @ 0xd8000000/134217728, 0xee100000/65536, I/O @ 0x00002000/256, BIOS @ 0x????????/131072
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded. This was enabled by default and also specified in the config file.
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 6.12.4
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON: Driver for ATI Radeon chipsets:
	ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
	ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
	ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
	ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
	ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
	ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
	ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
	ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
	ATI Radeon 9800XT NJ (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
	ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
	ATI Radeon Mobility X300 (M22) 5460 (PCIE),
	ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
	ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
	ATI FireGL unknown (R423) UR (PCIE),
	ATI FireGL unknown (R423) UT (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 XL (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835,
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE),
	ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI Radeon X550 (RV370) 5B63 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE),
	ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
	ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
	ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
	ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
	ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
	ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
	ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
	ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
	ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
	ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
	ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
	ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
	ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
	ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
	ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
	ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
	ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
	ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
	ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
	ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
	ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
	ATI Mobility Radeon X1700, ATI Radeon X2300HD,
	ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
	ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
	ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
	ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
	ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
	ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
	ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
	ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
	ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
	ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
	ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
	ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
	ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
	ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
	ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
	ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
	AMD FireStream 9250, ATI FirePro V8700 (FireGL),
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI Radeon 4800 Series, ATI Radeon 4800 Series, ATI FirePro M7750,
	ATI M98, ATI M98, ATI M98, ATI Mobility Radeon HD 4650,
	ATI Radeon RV730 (AGP), ATI Mobility Radeon HD 4670,
	ATI FirePro M5750, ATI Radeon RV730 (AGP),
	ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
	ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
	ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
	ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
	ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
	ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
	ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
	ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
	ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
	ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
	ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
	ATI Mobility Radeon HD 3850 X2, ATI RV670,
	ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
	ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
	ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
	ATI Radeon RV710, ATI Radeon RV710, ATI Radeon HD 4350,
	ATI Mobility Radeon 4300 Series, ATI Mobility Radeon 4500 Series,
	ATI Mobility Radeon 4500 Series, ATI FirePro RG220, ATI RV630,
	ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
	ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
	ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
	ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
	ATI FireGL V3600, ATI Radeon HD 2600 LE,
	ATI Mobility FireGL Graphics Processor, ATI Radeon RV710,
	ATI Radeon HD 3470, ATI Mobility Radeon HD 3430,
	ATI Mobility Radeon HD 3400 Series, ATI Radeon HD 3450,
	ATI Radeon HD 3450, ATI Radeon HD 3430, ATI Radeon HD 3450,
	ATI FirePro V3700, ATI FireMV 2450, ATI FireMV 2260, ATI FireMV 2260,
	ATI Radeon HD 3600 Series, ATI Radeon HD 3650 AGP,
	ATI Radeon HD 3600 PRO, ATI Radeon HD 3600 XT,
	ATI Radeon HD 3600 PRO, ATI Mobility Radeon HD 3650,
	ATI Mobility Radeon HD 3670, ATI Mobility FireGL V5700,
	ATI Mobility FireGL V5725, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3100 Graphics, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3100 Graphics, ATI Radeon HD 3300 Graphics,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3000 Graphics,
	ATI Radeon HD 4200, ATI Radeon 4100, ATI Mobility Radeon HD 4200,
	ATI Mobility Radeon 4100, ATI RS880
(II) Primary Device is: PCI 01@00:00:0
(WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
(II) RADEON(0): TOTO SAYS 00000000ee100000
(II) RADEON(0): MMIO registers at 0x00000000ee100000: size 64KB
(II) RADEON(0): PCI bus 1 card 0 func 0
(==) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(**) RADEON(0): Option "RenderAccel" "true"
(**) RADEON(0): Option "DRI"
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Mobility Radeon X1400" (ChipID = 0x7145)
(--) RADEON(0): Linear framebuffer at 0x00000000d8000000
(II) RADEON(0): PCIE card detected
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(II) RADEON(0): ATOM BIOS detected
(II) RADEON(0): ATOM BIOS Rom: 
	SubsystemVendorID: 0x17aa SubsystemID: 0x202a
	IOBaseAddress: 0x2000
	Filename: BR21244A.bin
	BIOS Bootup Message: 
M54CSP/M52CSP BIOS                                                          

(II) RADEON(0): Framebuffer space used by Firmware (kb): 20
(II) RADEON(0): Start of VRAM area used by Firmware: 0x7ffb000
(II) RADEON(0): AtomBIOS requests 20kB of VRAM scratch space
(II) RADEON(0): AtomBIOS VRAM scratch base: 0x7ffb000
(II) RADEON(0): Cannot get VRAM scratch space. Allocating in main memory instead
(II) RADEON(0): Default Engine Clock: 452000
(II) RADEON(0): Default Memory Clock: 352000
(II) RADEON(0): Maximum Pixel ClockPLL Frequency Output: 1100000
(II) RADEON(0): Minimum Pixel ClockPLL Frequency Output: 0
(II) RADEON(0): Maximum Pixel ClockPLL Frequency Input: 13500
(II) RADEON(0): Minimum Pixel ClockPLL Frequency Input: 1000
(II) RADEON(0): Maximum Pixel Clock: 400000
(II) RADEON(0): Reference Clock: 27000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 10, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 10, (OK)
drmOpenByBusid: drmOpenMinor returns 10
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version 1.30.0
(==) RADEON(0): Page Flipping disabled on r5xx and newer chips.

(II) RADEON(0): Will try to use DMA for Xv image transfers
(II) RADEON(0): Generation 2 PCI interface, using max accessible memory
(II) RADEON(0): Detected total video RAM=131072K, accessible=131072K (PCI BAR=131072K)
(--) RADEON(0): Mapped VideoRAM: 131072 kByte (128 bit DDR SDRAM)
(II) RADEON(0): Color tiling enabled by default
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) RADEON(0): ref_freq: 2700, min_out_pll: 64800, max_out_pll: 110000, min_in_pll: 100, max_in_pll: 1350, xclk: 40000, sclk: 452.000000, mclk: 352.000000
(II) RADEON(0): PLL parameters: rf=2700 rd=13 min=64800 max=110000; xclk=40000
(WW) RADEON(0): LVDS Info:
XRes: 1680, YRes: 1050, DotClock: 122000
HBlank: 224, HOverPlus: 32, HSyncWidth: 64
VBlank: 16, VOverPlus: 1, VSyncWidth: 3
encoder: 0x15
encoder: 0xf
encoder: 0x13
(II) RADEON(0): Output VGA-0 using monitor section Monitor0
(II) RADEON(0): I2C bus "VGA-0" initialized.
(II) RADEON(0): Output LVDS has no monitor section
(II) RADEON(0): I2C bus "LVDS" initialized.
(II) RADEON(0): Output DVI-0 has no monitor section
(II) RADEON(0): I2C bus "DVI-0" initialized.
(II) RADEON(0): Port0:
  XRANDR name: VGA-0
  Connector: VGA
  CRT1: INTERNAL_KLDSCP_DAC1
  DDC reg: 0x7e40
(II) RADEON(0): Port1:
  XRANDR name: LVDS
  Connector: LVDS
  LCD1: INTERNAL_LVTM1
  DDC reg: 0x7e60
(II) RADEON(0): Port2:
  XRANDR name: DVI-0
  Connector: DVI-I
  DFP1: INTERNAL_KLDSCP_TMDS1
  DDC reg: 0x7e50
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
finished output detect: 0
(II) RADEON(0): I2C device "LVDS:ddc2" registered at address 0xA0.
(II) RADEON(0): EDID for output LVDS
(II) RADEON(0): Manufacturer: IBM  Model: 2887  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.596 redY: 0.347   greenX: 0.335 greenY: 0.543
(II) RADEON(0): blueX: 0.158 blueY: 0.143   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 101.7 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Unknown vendor-specific block f
(II) RADEON(0):  LP154W02-TL06
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00244d872800000000
(II) RADEON(0): 	000f0103802115780abca59858558b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf10000019b72790e0601a1040
(II) RADEON(0): 	204013004bcf100000190000000f00b3
(II) RADEON(0): 	0a32b30a28140100320c0000000000fe
(II) RADEON(0): 	004c503135345730322d544c3036007f
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: IBM  Model: 2887  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.596 redY: 0.347   greenX: 0.335 greenY: 0.543
(II) RADEON(0): blueX: 0.158 blueY: 0.143   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 101.7 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Unknown vendor-specific block f
(II) RADEON(0):  LP154W02-TL06
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00244d872800000000
(II) RADEON(0): 	000f0103802115780abca59858558b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf10000019b72790e0601a1040
(II) RADEON(0): 	204013004bcf100000190000000f00b3
(II) RADEON(0): 	0a32b30a28140100320c0000000000fe
(II) RADEON(0): 	004c503135345730322d544c3036007f
finished output detect: 1
(II) RADEON(0): I2C device "DVI-0:ddc2" registered at address 0xA0.
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
finished output detect: 2
finished all detect
before xf86InitialConfiguration
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): EDID for output LVDS
(II) RADEON(0): Manufacturer: IBM  Model: 2887  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.596 redY: 0.347   greenX: 0.335 greenY: 0.543
(II) RADEON(0): blueX: 0.158 blueY: 0.143   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 101.7 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Unknown vendor-specific block f
(II) RADEON(0):  LP154W02-TL06
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00244d872800000000
(II) RADEON(0): 	000f0103802115780abca59858558b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf10000019b72790e0601a1040
(II) RADEON(0): 	204013004bcf100000190000000f00b3
(II) RADEON(0): 	0a32b30a28140100320c0000000000fe
(II) RADEON(0): 	004c503135345730322d544c3036007f
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: IBM  Model: 2887  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.596 redY: 0.347   greenX: 0.335 greenY: 0.543
(II) RADEON(0): blueX: 0.158 blueY: 0.143   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 101.7 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Unknown vendor-specific block f
(II) RADEON(0):  LP154W02-TL06
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00244d872800000000
(II) RADEON(0): 	000f0103802115780abca59858558b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf10000019b72790e0601a1040
(II) RADEON(0): 	204013004bcf100000190000000f00b3
(II) RADEON(0): 	0a32b30a28140100320c0000000000fe
(II) RADEON(0): 	004c503135345730322d544c3036007f
(II) RADEON(0): EDID vendor "IBM", prod id 10375
(II) RADEON(0): Printing probed modes for output LVDS
(II) RADEON(0): Modeline "1680x1050"x60.1  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Modeline "1680x1050"x50.1  101.67  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (53.4 kHz)
(II) RADEON(0): Modeline "1400x1050"x60.0  121.75  1400 1488 1632 1864  1050 1053 1057 1089 -hsync +vsync (65.3 kHz)
(II) RADEON(0): Modeline "1280x1024"x59.9  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync (63.7 kHz)
(II) RADEON(0): Modeline "1440x900"x59.9  106.50  1440 1528 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz)
(II) RADEON(0): Modeline "1280x960"x59.9  101.25  1280 1360 1488 1696  960 963 967 996 -hsync +vsync (59.7 kHz)
(II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
(II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
(II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
(II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
(II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
(II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
(II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
(II) RADEON(0): EDID for output DVI-0
(II) RADEON(0): Output VGA-0 disconnected
(II) RADEON(0): Output LVDS connected
(II) RADEON(0): Output DVI-0 disconnected
(II) RADEON(0): Using exact sizes for initial modes
(II) RADEON(0): Output LVDS using initial mode 1680x1050
(II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
after xf86InitialConfiguration
(==) RADEON(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(==) RADEON(0): Using XAA acceleration architecture
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.2.1
	ABI class: X.Org Video Driver, version 6.0
(!!) RADEON(0): For information on using the multimedia capabilities
	of this adapter, please see http://gatos.sf.net.
(!!) RADEON(0): MergedFB support has been removed and replaced with xrandr 1.2 support
(--) Depth 24 pixmap format is 32 bpp
(II) RADEON(0): RADEONScreenInit d8000000 0 0
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
(==) RADEON(0): Using 24 bit depth buffer
(II) RADEON(0): RADEONInitMemoryMap() : 
(II) RADEON(0):   mem_size         : 0x08000000
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
(II) RADEON(0): Depth moves disabled by default
(II) RADEON(0): Using 32 MB GART aperture
(II) RADEON(0): Using 1 MB for the ring buffer
(II) RADEON(0): Using 2 MB for vertex/indirect buffers
(II) RADEON(0): Using 29 MB for GART textures
(II) RADEON(0): Memory manager initialized to (0,0) (1728,8191)
(II) RADEON(0): Reserved area from (0,1680) to (1728,1682)
(II) RADEON(0): Largest offscreen area available: 1728 x 6509
(II) RADEON(0): Will use front buffer at offset 0x0
(II) RADEON(0): Will use back buffer at offset 0x21c0000
(II) RADEON(0): Will use depth buffer at offset 0x2cd3000
(II) RADEON(0): Will use 32 kb for PCI GART table at offset 0x7ff8000
(II) RADEON(0): Will use 73728 kb for textures at offset 0x37e6000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 10, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 10, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 10, (OK)
drmOpenByBusid: drmOpenMinor returns 10
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer handle = 0xd8000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(II) RADEON(0): [pci] 32768 kB allocated with handle 0xf92ff000
(II) RADEON(0): [pci] ring handle = 0xf92ff000
(II) RADEON(0): [pci] Ring mapped at 0x40526000
(II) RADEON(0): [pci] Ring contents 0x00000000
(II) RADEON(0): [pci] ring read ptr handle = 0xf9400000
(II) RADEON(0): [pci] Ring read ptr mapped at 0x40407000
(II) RADEON(0): [pci] Ring read ptr contents 0x00000000
(II) RADEON(0): [pci] vertex/indirect buffers handle = 0xf9401000
(II) RADEON(0): [pci] Vertex/indirect buffers mapped at 0x48707000
(II) RADEON(0): [pci] Vertex/indirect buffers contents 0x00000000
(II) RADEON(0): [pci] GART texture map handle = 0xf9601000
(II) RADEON(0): [pci] GART Texture map mapped at 0x48907000
(II) RADEON(0): [drm] register handle = 0x2dc20000
(II) RADEON(0): [dri] Visual configs initialized
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
(**) RADEON(0): Option "BackingStore" "true"
(**) RADEON(0): Backing store enabled
(II) RADEON(0): [DRI] installation complete
(II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect buffers
(II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
(II) RADEON(0): [drm] dma control initialized, using IRQ 16
(II) RADEON(0): [drm] Initialized kernel GART heap manager, 29884416
(WW) RADEON(0): DRI init changed memory map, adjusting ...
(WW) RADEON(0):   MC_FB_LOCATION  was: 0xdfffd800 is: 0xdfffd800
(WW) RADEON(0):   MC_AGP_LOCATION was: 0x003f0000 is: 0xffffffc0
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(II) RADEON(0): Direct rendering enabled
(II) RADEON(0): XAA Render acceleration unsupported on Radeon 9500/9700 and newer. Please use EXA instead.
(II) RADEON(0): Render acceleration disabled
(II) RADEON(0): num quad-pipes is 1
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Scanline Image Writes
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(II) RADEON(0): Acceleration enabled
(==) RADEON(0): DPMS enabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Will use 32 kb for hardware cursor 0 at offset 0x00b17000
(II) RADEON(0): Will use 32 kb for hardware cursor 1 at offset 0x00b1c000
(II) RADEON(0): Largest offscreen area available: 1728 x 6503
(II) RADEON(0): Set up textured video
Output CRT1 disable success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Mode 1680x1050 - 1904 1066 10
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
freq: 122000000
best_freq: 122000000
best_feedback_div: 122
best_ref_div: 3
best_post_div: 9
(II) RADEON(0): crtc(0) Clock: mode 122000, PLL 122000
(II) RADEON(0): crtc(0) PLL  : refdiv 3, fbdiv 0x7A(122), pdiv 9
Set CRTC 0 PLL success
Set CRTC Timing success
Set CRTC 0 Overscan success
Not using RMX
scaler 0 setup success
Set CRTC 0 Source success
crtc 0 YUV disable setup success
Output digital setup success
Output LCD1 enable success
Enable CRTC 0 success
Unblank CRTC 0 success
Output CRT1 disable success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
(II) AIGLX: Screen 0 is not DRI2 capable
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: enabled GLX_texture_from_pixmap with driver support
(II) AIGLX: Loaded and initialized /usr/lib/dri/r300_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(II) RADEON(0): Setting screen physical size to 444 x 277
(II) config/udev: Adding input device "Power Button" (/dev/input/event2)
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "Power Button": always reports core events
(**) "Power Button": Device: "/dev/input/event2"
(II) "Power Button": Found keys
(II) "Power Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Power Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device "Video Bus" (/dev/input/event1)
(**) "Video Bus": always reports core events
(**) "Video Bus": Device: "/dev/input/event1"
(II) "Video Bus": Found keys
(II) "Video Bus": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Video Bus"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device "Sleep Button" (/dev/input/event4)
(**) "Sleep Button": always reports core events
(**) "Sleep Button": Device: "/dev/input/event4"
(II) "Sleep Button": Found keys
(II) "Sleep Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Sleep Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device "AT Translated Set 2 keyboard" (/dev/input/event0)
(**) "AT Translated Set 2 keyboard": always reports core events
(**) "AT Translated Set 2 keyboard": Device: "/dev/input/event0"
(II) "AT Translated Set 2 keyboard": Found keys
(II) "AT Translated Set 2 keyboard": Configuring as keyboard
(II) XINPUT: Adding extended input device ""AT Translated Set 2 keyboard"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device "SynPS/2 Synaptics TouchPad" (/dev/input/event6)
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 1.2.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.1
(**) Option "Device" "/dev/input/event6"
(II) "SynPS/2 Synaptics TouchPad": x-axis range 1472 - 5472
(II) "SynPS/2 Synaptics TouchPad": y-axis range 1408 - 4448
(II) "SynPS/2 Synaptics TouchPad": pressure range 0 - 255
(II) "SynPS/2 Synaptics TouchPad": finger width range 0 - 0
(II) "SynPS/2 Synaptics TouchPad": buttons: left right middle double triple
(--) "SynPS/2 Synaptics TouchPad": touchpad found
(**) "SynPS/2 Synaptics TouchPad": always reports core events
(II) XINPUT: Adding extended input device ""SynPS/2 Synaptics TouchPad"" (type: TOUCHPAD)
(**) "SynPS/2 Synaptics TouchPad": (accel) keeping acceleration scheme 1
(**) "SynPS/2 Synaptics TouchPad": (accel) acceleration profile 0
(--) "SynPS/2 Synaptics TouchPad": touchpad found
(II) config/udev: Adding input device "SynPS/2 Synaptics TouchPad" (/dev/input/mouse0)
(**) "SynPS/2 Synaptics TouchPad": always reports core events
(**) "SynPS/2 Synaptics TouchPad": Device: "/dev/input/mouse0"
(EE) ioctl EVIOCGNAME failed: Inappropriate ioctl for device
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for ""SynPS/2 Synaptics TouchPad""
(II) config/udev: Adding input device "TPPS/2 IBM TrackPoint" (/dev/input/event9)
(**) "TPPS/2 IBM TrackPoint": always reports core events
(**) "TPPS/2 IBM TrackPoint": Device: "/dev/input/event9"
(II) "TPPS/2 IBM TrackPoint": Found 3 mouse buttons
(II) "TPPS/2 IBM TrackPoint": Found relative axes
(II) "TPPS/2 IBM TrackPoint": Found x and y relative axes
(II) "TPPS/2 IBM TrackPoint": Configuring as mouse
(**) "TPPS/2 IBM TrackPoint": YAxisMapping: buttons 4 and 5
(**) "TPPS/2 IBM TrackPoint": EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device ""TPPS/2 IBM TrackPoint"" (type: MOUSE)
(**) "TPPS/2 IBM TrackPoint": (accel) keeping acceleration scheme 1
(**) "TPPS/2 IBM TrackPoint": (accel) acceleration profile 0
(II) "TPPS/2 IBM TrackPoint": initialized for relative axes.
(II) config/udev: Adding input device "TPPS/2 IBM TrackPoint" (/dev/input/mouse1)
(**) "TPPS/2 IBM TrackPoint": always reports core events
(**) "TPPS/2 IBM TrackPoint": Device: "/dev/input/mouse1"
(EE) ioctl EVIOCGNAME failed: Inappropriate ioctl for device
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for ""TPPS/2 IBM TrackPoint""
(II) config/udev: Adding input device "/usr/sbin/thinkpad-keys" (/dev/input/event10)
(**) "/usr/sbin/thinkpad-keys": always reports core events
(**) "/usr/sbin/thinkpad-keys": Device: "/dev/input/event10"
(II) "/usr/sbin/thinkpad-keys": Found keys
(II) "/usr/sbin/thinkpad-keys": Configuring as keyboard
(II) XINPUT: Adding extended input device ""/usr/sbin/thinkpad-keys"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device "ThinkPad Extra Buttons" (/dev/input/event7)
(**) "ThinkPad Extra Buttons": always reports core events
(**) "ThinkPad Extra Buttons": Device: "/dev/input/event7"
(II) "ThinkPad Extra Buttons": Found keys
(II) "ThinkPad Extra Buttons": Configuring as keyboard
(II) XINPUT: Adding extended input device ""ThinkPad Extra Buttons"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) AIGLX: Suspending AIGLX clients for VT switch
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
(II) RADEON(0): avivo_restore !
Enable CRTC 0 success
Unblank CRTC 0 success
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
Output CRT1 disable success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Mode 1680x1050 - 1904 1066 10
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
freq: 122000000
best_freq: 122000000
best_feedback_div: 122
best_ref_div: 3
best_post_div: 9
(II) RADEON(0): crtc(0) Clock: mode 122000, PLL 122000
(II) RADEON(0): crtc(0) PLL  : refdiv 3, fbdiv 0x7A(122), pdiv 9
Set CRTC 0 PLL success
Set CRTC Timing success
Set CRTC 0 Overscan success
Not using RMX
scaler 0 setup success
Set CRTC 0 Source success
crtc 0 YUV disable setup success
Output digital setup success
Output LCD1 enable success
Enable CRTC 0 success
Unblank CRTC 0 success
Output CRT1 disable success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): [RESUME] Attempting to re-init Radeon hardware.
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "IBM", prod id 10375
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Modeline "1680x1050"x0.0  101.67  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (53.4 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: IBM  Model: 2887  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.596 redY: 0.347   greenX: 0.335 greenY: 0.543
(II) RADEON(0): blueX: 0.158 blueY: 0.143   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 101.7 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Unknown vendor-specific block f
(II) RADEON(0):  LP154W02-TL06
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00244d872800000000
(II) RADEON(0): 	000f0103802115780abca59858558b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf10000019b72790e0601a1040
(II) RADEON(0): 	204013004bcf100000190000000f00b3
(II) RADEON(0): 	0a32b30a28140100320c0000000000fe
(II) RADEON(0): 	004c503135345730322d544c3036007f
(II) RADEON(0): EDID vendor "IBM", prod id 10375
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
(--) "SynPS/2 Synaptics TouchPad": touchpad found
(II) "Power Button": Device reopened after 1 attempts.
(II) "Video Bus": Device reopened after 1 attempts.
(II) "Sleep Button": Device reopened after 1 attempts.
(II) "AT Translated Set 2 keyboard": Device reopened after 1 attempts.
(II) "TPPS/2 IBM TrackPoint": Device reopened after 1 attempts.
(II) "/usr/sbin/thinkpad-keys": Device reopened after 1 attempts.
(II) "ThinkPad Extra Buttons": Device reopened after 1 attempts.
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Enable CRTC 0 success
Unblank CRTC 0 success
Output LCD1 enable success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Enable CRTC 0 success
Unblank CRTC 0 success
Output LCD1 enable success
(II) AIGLX: Suspending AIGLX clients for VT switch
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
(II) RADEON(0): avivo_restore !
Enable CRTC 0 success
Unblank CRTC 0 success
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
Output CRT1 disable success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Mode 1680x1050 - 1904 1066 10
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xdfffd800 0xdfffd800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
freq: 122000000
best_freq: 122000000
best_feedback_div: 122
best_ref_div: 3
best_post_div: 9
(II) RADEON(0): crtc(0) Clock: mode 122000, PLL 122000
(II) RADEON(0): crtc(0) PLL  : refdiv 3, fbdiv 0x7A(122), pdiv 9
Set CRTC 0 PLL success
Set CRTC Timing success
Set CRTC 0 Overscan success
Not using RMX
scaler 0 setup success
Set CRTC 0 Source success
crtc 0 YUV disable setup success
Output digital setup success
Output LCD1 enable success
Enable CRTC 0 success
Unblank CRTC 0 success
Output CRT1 disable success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): [RESUME] Attempting to re-init Radeon hardware.
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "IBM", prod id 10375
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Modeline "1680x1050"x0.0  101.67  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (53.4 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: IBM  Model: 2887  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.596 redY: 0.347   greenX: 0.335 greenY: 0.543
(II) RADEON(0): blueX: 0.158 blueY: 0.143   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 101.7 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0): Unknown vendor-specific block f
(II) RADEON(0):  LP154W02-TL06
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00244d872800000000
(II) RADEON(0): 	000f0103802115780abca59858558b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf10000019b72790e0601a1040
(II) RADEON(0): 	204013004bcf100000190000000f00b3
(II) RADEON(0): 	0a32b30a28140100320c0000000000fe
(II) RADEON(0): 	004c503135345730322d544c3036007f
(II) RADEON(0): EDID vendor "IBM", prod id 10375
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
(--) "SynPS/2 Synaptics TouchPad": touchpad found
(II) "Power Button": Device reopened after 1 attempts.
(II) "Video Bus": Device reopened after 1 attempts.
(II) "Sleep Button": Device reopened after 1 attempts.
(II) "AT Translated Set 2 keyboard": Device reopened after 1 attempts.
(II) "TPPS/2 IBM TrackPoint": Device reopened after 1 attempts.
(II) "/usr/sbin/thinkpad-keys": Device reopened after 1 attempts.
(II) "ThinkPad Extra Buttons": Device reopened after 1 attempts.
   
   
-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages x11-xserver-utils depends on:
ii  cpp                       4:4.4.2-3      The GNU C preprocessor (cpp)
ii  libc6                     2.10.2-5       Embedded GNU C Library: Shared lib
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libx11-6                  2:1.3.2-1      X11 client-side library
ii  libxau6                   1:1.0.5-1      X11 authorisation library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxext6                  2:1.1.1-2      X11 miscellaneous extension librar
ii  libxi6                    2:1.3-2        X11 Input extension library
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxmuu1                  2:1.0.5-1      X11 miscellaneous micro-utility li
ii  libxp6                    1:1.0.0.xsf1-2 X Printing Extension (Xprint) clie
ii  libxrandr2                2:1.3.0-2      X11 RandR extension library
ii  libxrender1               1:0.9.5-1      X Rendering Extension client libra
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  libxxf86misc1             1:1.0.2-1      X11 XFree86 miscellaneous extensio
ii  libxxf86vm1               1:1.1.0-2      X11 XFree86 video mode extension l
ii  x11-common                1:7.5+1        X Window System (X.Org) infrastruc

x11-xserver-utils recommends no packages.

Versions of packages x11-xserver-utils suggests:
pn  cairo-5c                      <none>     (no description available)
pn  nickle                        <none>     (no description available)
ii  xorg-docs-core                1:1.5-1    Core documentation for the X.org X

-- no debconf information




Bug reassigned from package 'x11-xserver-utils' to 'xserver-xorg-core'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 14 Jan 2010 14:42:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions x11-xserver-utils/7.5+1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 14 Jan 2010 14:42:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xorg-server/2:1.7.4-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 14 Jan 2010 14:42:04 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 30 Jan 2011 05:42:06 GMT) Full text and rfc822 format available.

Notification sent to "John C. Houck" <houck@space.mit.edu>:
Bug acknowledged by developer. (Sun, 30 Jan 2011 05:42:06 GMT) Full text and rfc822 format available.

Message #16 received at 565279-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "John C. Houck" <houck@space.mit.edu>, 565279-done@bugs.debian.org
Subject: Re: Bug#565279: x11-xserver-utils: xmodmap fails to remap Lock to Control_L
Date: Sun, 30 Jan 2011 06:39:45 +0100
[Message part 1 (text/plain, inline)]
Hi,

John C. Houck <houck@space.mit.edu> (14/01/2010):
> For a number of years, I have used the example from the xmodmap man
> page to swap caps_lock and control_l.  This feature broke with the
> most recent update to testing/unstable.  This seems very similar to
> Bug#564327 except that I haven't found an effective workaround.

since we already have some other xmodmap bugs, I'm going to close this
one.

xmodmap is not recommended, you should use setxkbmap to set XKB
options (temporarily, e.g. for testing), or /etc/default/keyboard (for
system-wide settings), as documented here:
  http://pkg-xorg.alioth.debian.org/howtos/configure-input.html

The option you probably want is this one:
|  ctrl:swapcaps        Swap Ctrl and Caps Lock

(See /usr/share/X11/xkb/rules/base.lst for the full list.)

Command-line:
  setxkbmap -option ctrl:swapcaps

KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Feb 2011 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:50:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.